from odoo import models

class ResUsers(models.Model):
    _inherit = "res.users"

    def has_enterprise(self):
        self.ensure_one()
        if hasattr(super(ResUsers, self), 'has_enterprise'):
            return super().has_enterprise()
        else:
            return self.has_group('base.group_user')
